<template>

  <Head>
    <title>Login Account - GreenK Cashier</title>
  </Head>
  <div class="col-12 col-sm-8 col-md-6 col-lg-4">
    <div class="fade-in">
      <!-- card -->
      <div class="card-group">
        <div class="card border-top-puprple border-0 shadow-sm rounded-3">
          <div class="card-body">
            <div class="text-center">
              <h5 class="fw-bold text-uppercase">Login</h5>
            </div>
            <!-- session status -->
            <div v-if="session.status" class="alert alert-success mt-2">
              {{ session.status }}
            </div>
            <!-- form login -->
            <form @submit.prevent="submit" class="p-3">
              <!-- email address -->
              <div class="mb-3">
                <input type="text" class="form-control" v-model="form.email" :class="{ 'is-invalid': errors.email }"
                  placeholder="Email Addresss">
              </div>
              <!-- validation email -->
              <div v-if="errors.email" class="text-danger mb-3" style="margin-top: -15px">
                <small><strong>{{ errors.email }}</strong></small>
              </div>

              <!-- password -->
              <div class="mb-3">
                <input type="password" class="form-control" v-model="form.password"
                  :class="{ 'is-invalid': errors.password }" placeholder="Password">
              </div>
              <!-- validation password -->
              <div v-if="errors.password" class="text-danger mb-3" style="margin-top: -15px">
                <small><strong>{{ errors.password }}</strong></small>
              </div>

              <div class="row">
                <!-- link view forgot password -->
                <div class="col-12 mb-3 text-end">
                  <Link href="/forgot-password" class="text-decoration-none">Forgot Password</Link>
                </div>
                <!-- button submit -->
                <div class="col-12">
                  <button class="btn btn-primary shadow-sm rounded-sm px-4 w-100" type="submit">Login</button>
                </div>
              </div>

            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
// import layout
import LayoutAuth from '../../Layouts/Auth.vue';

// import reactive
import { reactive } from 'vue';

// import inertia adapter
import { router } from '@inertiajs/vue3'

// import Head and useForm from inertia
import {
  Head,
  Link
} from '@inertiajs/vue3'

export default {
  // layout
  layout: LayoutAuth,


  // register components
  components: {
    Head,
    Link
  },

  props: {
    errors: Object,
    session: Object,
  },

  // define composition api
  setup() {
    // definte form state
    const form = reactive({
      email: '',
      password: '',
    });

    // submit method
    const submit = () => {
      // send data to server
      router.post('/login', {
        email: form.email,
        password: form.password,
      });
    }

    return {
      form,
      submit
    }
  }
}
</script>